=== SandBox/Makefile ===
all: 
	make -i -f MakefileCppUTest.mk 
	make -i -f MakefileUnity.mk 

clean:
	make -i -f MakefileCppUTest.mk clean
	make -i -f MakefileUnity.mk clean
