=== util/json2bin/Makefile ===

CFLAGS := -I./include -I./cJSON -I./encrypt

LDFLAGS := -L./lib -lz -lm

OBJS = ./cJSON/cJSON.o ./encrypt/des_min_enc.o ./encrypt/md5_interface.o\
./encrypt/md5.o ./src/json2bin.o

TARGET = json2bin

all: $(TARGET)

$(TARGET): $(OBJS)
	@echo "LD $@"
	gcc $^ $(LDFLAGS) -o $@

%.o: %.c
	@echo "CC $@"
	gcc -c $(CFLAGS) -o $@ $<

clean:
	@echo clean...
	-rm -f $(OBJS) $(TARGET)
