=== util/make_flash_src/Makefile ===

EXE=make_flash

OBJS=make_flash.o md5.o md5_interface.o

ifeq ($(ENABLE_FACTORY_TEST_MODE), 1)
CFLAGS = -DENABLE_FACTORY_TEST_MODE
endif

ARCH_FLAG=-m32

$(EXE):$(OBJS)
	gcc $(CFLAGS) -o $(EXE) $(OBJS) $(ARCH_FLAG)

%.o:%.c
	gcc -c $(CFLAGS) -o $@ $< $(ARCH_FLAG)
	
clean:
	@rm -rf $(EXE) $(OBJS)
