=== util/make_header/Makefile ===

EXE=make_header

OBJS=make_header.o md5.o

$(EXE):$(OBJS)
	gcc -o $(EXE) $(OBJS)

%.o:%.c
	gcc -c -o $@ $<
	
clean:
	@rm -rf $(EXE) $(OBJS)
