=== debian/changelog ===
fakeroot (1.9.1) unstable; urgency=low

  * Apply patch from Andrew Benham to handle padding under Sun Studio
    on Solaris.
  * Apply patch from Andrew Benham to make compare-tar test more
    portable.
  * Add Fakeroot::Stat from THUS plc to a contrib/ directory
    in the source tarball.  closes: #459728.

 -- Clint Adams <schizo@debian.org>  Mon, 21 Jan 2008 17:16:22 -0500

fakeroot (1.9) unstable; urgency=low

  * Bump to Standards-Version 3.7.3. 
  * Apply patch from Thomas Bächler to work around fakeroot's
    inability to handle acls by pretending that the underlying
    filesystem does not support acls.  closes: #361306.
  * Add build-dependency on libacl1-dev.

 -- Clint Adams <schizo@debian.org>  Sat, 05 Jan 2008 13:53:26 -0500

fakeroot (1.8.10) unstable; urgency=medium

  * Call biarch target in a parallel-build-friendly way. 

 -- Clint Adams <schizo@debian.org>  Sun, 02 Dec 2007 17:33:42 -0500

fakeroot (1.8.9) unstable; urgency=low

  * Apply patch from Andrew Benham to handle platforms without
    __builtin_expect support in the compiler.  closes: #453303.
  * Add Vcs-Arch and Vcs-Browser fields to control file.

 -- Clint Adams <schizo@debian.org>  Sun, 02 Dec 2007 16:13:44 -0500

fakeroot (1.8.8) unstable; urgency=low

  * Fix configure test to handle platforms where the return value
    of readlink is ssize_t and this is not the same size as int.

 -- Clint Adams <schizo@debian.org>  Wed, 21 Nov 2007 16:57:33 -0500

fakeroot (1.8.7) unstable; urgency=low

  * Apply patch from Andrew Benham to handle platforms without
    setenv() and unsetenv().  closes: #452224.
  * Use setenv compatibility code from GNU libc CVS HEAD.

 -- Clint Adams <schizo@debian.org>  Wed, 21 Nov 2007 09:39:29 -0500

fakeroot (1.8.6) unstable; urgency=low

  * Apply patch from Andrew Benham to handle 64-bit builds on Solaris.
    closes: #452095.
  * Apply patch from Andrew Benham to add mode support to
    fake_get_owner().  closes: #452225.

 -- Clint Adams <schizo@debian.org>  Tue, 20 Nov 2007 21:56:58 -0500

fakeroot (1.8.5) unstable; urgency=low

  * Add gcc-multilib to build dependencies for kfreebsd-amd64.
    closes: #451504.

 -- Clint Adams <schizo@debian.org>  Fri, 16 Nov 2007 09:24:00 -0500

fakeroot (1.8.4) unstable; urgency=low

  * Fix fake_get_owner() to build with STUPID_ALPHA_HACK. 

 -- Clint Adams <schizo@debian.org>  Fri, 02 Nov 2007 21:41:27 -0400

fakeroot (1.8.3) unstable; urgency=low

  * Apply patch from Andrew Benham to handle building with non-GNU
    tr.  closes: #448631.
  * Apply patch from Andrew Benham to handle building with a C
    compiler other than GCC.  closes: #448631.
  * Apply patch from Andrew Benham to add fake_get_owner() function
    as part of undocumented API.

 -- Clint Adams <schizo@debian.org>  Tue, 30 Oct 2007 12:39:09 -0400

fakeroot (1.8.2) unstable; urgency=low

  * Apply fix from Dominique Quatravaux to avoid race condition with
    save files.  closes: #446351, #381016.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Oct 2007 10:09:48 -0400

fakeroot (1.8.1) unstable; urgency=low

  * Apply patch from Jan Kluka to avoid possibility of faked dropping
    into an endless loop with nonexistent save file.

 -- Clint Adams <schizo@debian.org>  Sun, 07 Oct 2007 20:24:04 -0400

fakeroot (1.8) unstable; urgency=medium

  * Apply patch from Jan Kluka to fix up database saving.
    closes: #443307.

 -- Clint Adams <schizo@debian.org>  Thu, 20 Sep 2007 13:46:25 -0400

fakeroot (1.7.1) unstable; urgency=low

  * Apply patch from Alexey Shabalovskiy to cope with save-files
    that are named pipes.

 -- Clint Adams <schizo@debian.org>  Thu, 10 May 2007 10:54:23 -0400

fakeroot (1.7.0.2) unstable; urgency=low

  * Drop shlibs file, as it is no longer necessary.

 -- Clint Adams <schizo@debian.org>  Sun, 06 May 2007 20:40:09 -0400

fakeroot (1.7.0.1) unstable; urgency=low

  * Build-depend on gcc-multilib on biarch architectures.
  * Consolidate biarch build-dependencies.

 -- Clint Adams <schizo@debian.org>  Sun, 06 May 2007 19:30:34 -0400

fakeroot (1.7) unstable; urgency=low

  * Forward-port and apply patch from Henrik Eriksson to add support
    for fstatat(), fstatat64(), mknodat(), fchmodat(), mkdirat(),
    openat(), renameat(), unlinkat().  closes: #402688.

 -- Clint Adams <schizo@debian.org>  Fri, 13 Apr 2007 12:51:16 -0400

fakeroot (1.6.5) unstable; urgency=low

  * Remove setuid fake libraries and README.fake explanation. 

 -- Clint Adams <schizo@debian.org>  Mon, 19 Mar 2007 11:20:58 -0400

fakeroot (1.6.4) unstable; urgency=low

  * Apply patch from Martijn Dekker to add Dutch man page translations.
  * gzip Dutch man pages.

 -- Clint Adams <schizo@debian.org>  Sun,  4 Mar 2007 10:56:55 -0500

fakeroot (1.6.3) unstable; urgency=low

  * Attempt to prevent nested fakeroot invocations.

 -- Clint Adams <schizo@debian.org>  Tue, 27 Feb 2007 22:30:23 -0500

fakeroot (1.6.2) unstable; urgency=low

  * Apply patch from Heikki Lindholm to fix MacOS X support even more.
  * Add MacOS X portability note (two-level namespaces break) to
    README.

 -- Clint Adams <schizo@debian.org>  Tue, 27 Feb 2007 09:34:43 -0500

fakeroot (1.6.1) unstable; urgency=low

  * Apply patch from Heikki Lindholm to fix MacOS X support.

 -- Clint Adams <schizo@debian.org>  Sun, 25 Feb 2007 11:35:30 -0500

fakeroot (1.6) unstable; urgency=medium

  * Apply patch from Christian Ehrhardt to use stat64 internally
    where available.  closes: #407553.

 -- Clint Adams <schizo@debian.org>  Fri, 23 Feb 2007 11:53:21 -0500

fakeroot (1.5.13) unstable; urgency=low

  * Add README to describe cases wherein one should use TCP rather
    than SYSV IPC:
    - multithreaded app creates IPC problems.  closes: #229050.
    - slow with a realtime-preempt kernel.  closes: #319474.

 -- Clint Adams <schizo@debian.org>  Fri, 23 Feb 2007 10:51:39 -0500

fakeroot (1.5.12) unstable; urgency=low

  * Fix build-dep for kfreebsd-amd64. 


